FLAM4SEPA-API FLAM4 SEPA Archive Interface (z/OS only)

Typedefs
Functions

## Typedefs
typedef void() | TfCLM100NP(TsF4sLoad *psPar)
| Load function. More...
typedef void() | TfCLN100NP(TsF4sSearchIn *psInPar, TsF4sOut *psOutPar)
| Lookup function. More...
typedef void() | TfCLU100NP(const TsF4sUpdateIn *psInPar, TsF4sOut *psOutPar)
| Update function. More...
typedef void() | TfCLX100NP(const TsF4sMigrateIn *psInPar, TsF4sOut *psOutPar)
| Migrate function. More...
typedef void() | TfCLG100NP(const TsF4sGenerateIn *psInPar, TsF4sOut *psOutPar)
| Generate function. More...

## Detailed Description

## Typedef Documentation

## ◆ TfCLM100NP

typedef void() TfCLM100NP(TsF4sLoad *psPar)

Load function.

This function is used for the initial sequential or the ascending appending load of the FLAM SEPA archive.

Parameters

  [in,out] | psPar | Parameter structure

## ◆ TfCLN100NP

typedef void() TfCLN100NP(TsF4sSearchIn *psInPar, TsF4sOut *psOutPar)

Lookup function.

Performs lookups in the FLAM SEPA archive.

Parameters

  [in,out] | psInPar | Inbound parameter structure
  [in,out] | psOutPar | Outbound parameter structure

## ◆ TfCLU100NP

typedef void() TfCLU100NP(const TsF4sUpdateIn *psInPar, TsF4sOut *psOutPar)

Update function.

Updates the transaction data (including the possibility to delete records) in a FLAM SEPA archive.

Parameters

  [in] | psInPar | Input parameter structure
  [out] | psOutPar | Output parameter structure

## ◆ TfCLX100NP

typedef void() TfCLX100NP(const TsF4sMigrateIn *psInPar, TsF4sOut *psOutPar)

Migrate function.

Migrates signature files to a newer FLAM 4 SEPA archive version.

Parameters

  [in] | psInPar | Input parameter structure
  [out] | psOutPar | Output parameter structure

## ◆ TfCLG100NP

typedef void() TfCLG100NP(const TsF4sGenerateIn *psInPar, TsF4sOut *psOutPar)

Generate function.

This function is used to re-generate signature files of FLAM 4 SEPA archives.

Parameters

  [in] | psInPar | Input parameter structure
  [out] | psOutPar | Output parameter structure